ch.qos.logback.core.db.dialect

## Class SybaseSqlAnywhereDialect

- java.lang.Object
- - ch.qos.logback.core.db.dialect.SybaseSqlAnywhereDialect

All Implemented Interfaces:
  SQLDialect

    public class SybaseSqlAnywhereDialect
    extends java.lang.Object
    implements SQLDialect

### Field Summary

Fields
`static java.lang.String` `SELECT_CURRVAL` The Sybase SQLAnywhere Dialect Note that the dialect is not needed if your JDBC driver supports the getGeneratedKeys method introduced in JDBC 3.0 specification.

### Constructor Summary

Constructors
Constructor and Description
`SybaseSqlAnywhereDialect()`

### Method Summary

Methods
`java.lang.String` `getSelectInsertId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SELECT_CURRVAL

    public static final java.lang.String SELECT_CURRVAL

The Sybase SQLAnywhere Dialect Note that the dialect is not needed if your JDBC driver supports the getGeneratedKeys method introduced in JDBC 3.0 specification.

See Also:
  Constant Field Values

### Constructor Detail

#### SybaseSqlAnywhereDialect

    public SybaseSqlAnywhereDialect()

### Method Detail

#### getSelectInsertId

    public java.lang.String getSelectInsertId()

Specified by:
  `getSelectInsertId` in interface `SQLDialect`